![](http://i.imgur.com/fYp148T.jpg)
### Latest Release [![Release](https://img.shields.io/github/release/CorsixTH/CorsixTH.svg?colorB=green)](https://github.com/CorsixTH/CorsixTH/releases) [![Linux and Tests](https://github.com/CorsixTH/CorsixTH/workflows/Linux%20and%20Tests/badge.svg)](https://github.com/CorsixTH/CorsixTH/actions?query=workflow%3A%22Linux+%26+Tests%22) [![AppVeyor Build Status](https://ci.appveyor.com/api/projects/status/github/CorsixTH/CorsixTH?branch=master&svg=true)](https://ci.appveyor.com/project/TheCycoONE/corsixth)

##### [IRC Chat](http://webchat.freenode.net/?channels=corsix-th) | [Report Issue](https://github.com/CorsixTH/CorsixTH/issues/new) | [Reddit](http://www.reddit.com/r/corsixth) | [Discord](https://discord.gg/Mxeztvh)

A reimplementation of the 1997 Bullfrog business sim Theme Hospital. As well as faithfully recreating the original, CorsixTH adds support for modern operating systems (Windows, macOS, Linux and BSD), high resolutions and much more.

![](http://i.imgur.com/qHV60Ui.png)


## Getting Started ##

You will need the following:

- Grab the latest installer for your system:
   - Windows and macOS builds can be downloaded directly from [releases](https://github.com/CorsixTH/CorsixTH/releases).
   - Linux and BSD repositories use either corsixth or corsix-th names [packaged versions](https://repology.org/metapackage/corsixth).
   - A Flatpak for Linux users is available on [Flathub](https://flathub.org/apps/details/com.corsixth.corsixth).
- We use graphics, sound and other data from the original game so one of the following is required:
   - Original game CD from eBay etc. or your dusty bookshelf:smile:
   - A download from [GOG.com](http://www.gog.com/game/theme_hospital) or [Origin](https://www.origin.com/en-gb/store/buy/theme-hospital-origin/pc-download/base-game/standard-edition)

 Head over to our [getting started](https://github.com/CorsixTH/CorsixTH/wiki/Getting-Started) page for more detail.

### What's Working? ###
Most features of the game are available -- and we're at a state where you can complete the full campaign without issue.
##### Original Features #####
- Single player campaign
- All diseases, objects, rooms are available (see below section for outstanding anomalies)
- All events (emergencies, earthquakes, epidemics, VIP visits)
- Management windows (managing staff, patients, policies etc.)
- Music/Jukebox and gameplay videos (see below section for oustanding anomalies)
- Cheats (naughty!)
##### New Features #####
- Custom levels and campaigns
- Full HD support
- Zooming
- Make your own maps and levels
- Unlimited saves and 12 autosave slots
- Play your own music!
- Option to remove destroyed rooms for a fee
- Improved game logic
- Full control over all hotkeys

### What's missing/needs improvement? ###
There are some areas of the game still missing, and while we work to get them integrated any additional help from the community is always appreciated!
- Multiplayer/LAN
- AI Hospitals (and the components associated with it)
- Level skipping cheat (on level progression board)
- Rats (but rat holes are present) and the special rat level
- Win level video/letter
- Newspaper headlines on lose level
- Demo gameplay video
- The graphical effects of Serious Radiation and Jellyitis are missing
- The original graphics do not have a complete set for Pregnancy, Alien DNA, and female Fractured Bones patients -- these may cause anomalies if you enable regular spawning in settings
- Patients have an astounding ability to always remain upright (can't fall over)
- Some objects in the game may glitch with walls

## Developers
### Coders and non-coders we want you!

We are always looking for help with improving CorsixTH. The code base is made up of Lua and C++. Most of the game logic is written in Lua, we love Lua and its approachable and easy to pick up nature, so hit fork and get started! But don't worry if you don't code as we can always use your help in other areas and if you have ideas for the project please contact us or open a new issue! We could also use help updating the documentation in the wiki and keeping the issue list up to date.


###### Features & Bugfixes ######
We still have features to add and bugs to fix, check out the issue tracker [here](https://github.com/CorsixTH/CorsixTH/issues). Want to talk about adding a feature? post on our Google group or [contact us](#Contact).

###### Translation ######
CorsixTH has translations for 19 languages, some need updates. Read our [wiki](https://github.com/CorsixTH/CorsixTH/wiki/Localization) for more information.

## More

Our [wiki](https://github.com/CorsixTH/CorsixTH/wiki) is a good place to start, if you can't find what you are looking for feel free to contact us using one of the methods below.

## Contact

- Follow us on [Reddit](https://www.reddit.com/r/corsixth), Twitter ([**@CorsixTH**](https://twitter.com/CorsixTH)), and on [Facebook](https://facebook.com/CorsixTH)
- IRC [#Corsix-TH](https://webchat.freenode.net/#corsix-th) on irc.freenode.net
- Join the server on [Discord](https://discord.gg/Mxeztvh)
- Subscribe to our [Google Developer group](http://groups.google.com/group/corsix-th-dev)
